#include "installer.h"
#include "licenc.h"

struct tgt_object *list, *b2;

int part1_main();
int mouse_main();

void l_next() {
	tgt_unlink(window);
	part1_main();
	tgt_refresh(window);
}

void  mouseon() {
	tgt_unlink(window);
	mouse_main(); 
	tgt_refresh(window);
}

int fill_buffer() {
	FILE *f;
	char file[] = "/usr/share/uhu-console-installer/text_licenc";
	char tmp[200];
	
	if ( !(f = fopen(file,"r")) ) { popupmsg("Hiba","Nincs text_licenc file!\n\n"); off(); }
	else {
	
		while ( (fgets(tmp,sizeof(tmp),f)) != NULL ) {
		
		tgt_set(list,TGTA_BUFFER_ADD,(tgtt) tmp);
		
		
		}
	
	}
	

}

void step_licenc (void) {
	struct tgt_object *b1, *b3, *line;
	
	window = tgt_createobject(
	TGT_CLASS_WINDOW, (tgtt[]) {
	TGTT_WINDOW_TITLE, (tgtt) "UHU-Linux - UHU Licenc",
	TGTT_WINDOW_TITLECOLOR,3,
	TGTT_WINDOW_BORDERCOLOR,3,
	TGTT_CALLBACK, (tgtt) hotkeys,
	TGTT_XS, 78, TGTT_YS, 23,	
	TGTT_END,0 
	});
	
	tgt_set(window, TGTT_X, (tgt_getterminal()->x_size - 78) / 2);
	tgt_set(window, TGTT_Y, (tgt_getterminal()->y_size - 23) / 2);	
	
	tgt_link(window,desktop);
	
	list = tgt_createandlink(window,TGT_CLASS_LIST,(tgtt[]) {
	TGTT_X,2,TGTT_Y,2,
	TGTT_XS,74,TGTT_YS,18,
	TGTT_LIST_ACTIVEBG,1,
	TGTT_LIST_FRAMECOLOR,3,
	TGTT_LIST_ITEMS,(tgtt) text,
	TGTT_END,0}); 
	
	/* list = tgt_createobject(TGT_CLASS_TEXTBUFFER,(tagitem[]) {
	TGTT_X,2,TGTT_Y,2,
	TGTT_XS,74,TGTT_YS,18,
	TGTT_BG,4,
	TGTT_BUFFER_BUFFERSIZE, 20000,
	TGTT_BUFFER_BORDERCOLOR,3,
	TGTT_END,0}); */
	
	line = tgt_createandlink(window,TGT_CLASS_LABEL,
	(tgtt[]) {TGTT_X,1,TGTT_Y,20,
	TGTT_LABEL_TEXT, (tgtt) "----------------------------------------------------------------------------",	
	TGTT_END,0});
	
	
	b1 = tgt_createandlink(window,TGT_CLASS_BUTTON,(tgtt[]) {
	TGTT_X,16,TGTT_Y,21,
	TGTT_BUTTON_CAPTION, (tgtt) " Kilps ",
	TGTT_CALLBACK, (tgtt) off,
	TGTT_BG,1,
	TGTT_END });
	
	b3 = tgt_createandlink(window,TGT_CLASS_BUTTON,(tgtt[]) {
	TGTT_X,33,TGTT_Y,21,
	TGTT_BUTTON_CAPTION, (tgtt) " Egr belltsa ",
	TGTT_CALLBACK, (tgtt) mouseon,
	TGTT_BG,1,
	TGTT_END });
	
	b2 = tgt_createandlink(window,TGT_CLASS_BUTTON,(tgtt[]) {
	TGTT_X,58,TGTT_Y,21,
	TGTT_BUTTON_CAPTION, (tgtt) " Ok ",
	TGTT_CALLBACK, (tgtt) l_next,
	TGTT_BG,1,
	TGTT_END });
	
}

int licenc_main() {
	  step_licenc();
	  
	  tgt_setfocus(b2);
	  	  
	  return(0);
}
