#include <unistd.h>
#include "installer.h"
#include "mouse.h"

char port[50], protocol[20];
int part1_main();
int licenc_main();


void m_next() {
	tgt_unlink(window);
	part1_main();
	tgt_refresh(window);	
}

void m_prev() {
	tgt_unlink(window);
	licenc_main();
	tgt_refresh(window);	
}

void portw(struct tgt_object *obj,int id) {

	conf = tgt_load_conf(confile);
	
	sprintf(port,"%s",ports[id]);
	tgt_set_conf(conf,"mouse","port",port);
	tgt_save_conf(conf,confile);
	tgt_unload_conf(conf);
	
}

void protocolw(struct tgt_object *obj,int id) {

	conf = tgt_load_conf(confile);
	
	sprintf(protocol,"%s",protocols[id]);
	tgt_set_conf(conf,"mouse","protocol",protocol);
	tgt_save_conf(conf,confile);
	tgt_unload_conf(conf);
}

void apply() {
	FILE *appm; 
	char tmp[100];
	
	
	sprintf(tmp,"gpm -k 2>/dev/null >&1\ngpm -m %s -t %s 2> mouse.log >&1",port,protocol);
	appm = popen(tmp,"r");
	fclose(appm);
		
	tgt_set(stbar,TGTT_STATUS_TEXT,(tgtt) "Kivlaszts alkalmazva");
	tgt_refresh(stbar);
	sleep(1);
	tgt_set(stbar,TGTT_STATUS_TEXT,(tgtt) 
	"Mozgas: Tab, <--> kurzor billentyk, Bevitel: enter, Kilepes: ESC, Segitsg: s");
	tgt_refresh(stbar); 
	

}

void step_mouse (void) {
	struct tgt_object *b1, *b2, *b3, *line;
	
	window = tgt_createobject(
	TGT_CLASS_WINDOW, (tgtt[]) {
	TGTT_WINDOW_TITLE, (tgtt) "UHU-Linux - Soros egr belltsa",
	TGTT_WINDOW_TITLECOLOR,3,
	TGTT_WINDOW_BORDERCOLOR,3,
	TGTT_XS, 78, TGTT_YS, 23,
	TGTT_CALLBACK, (tgtt) hotkeys,
	TGTT_END,0 
	});
	
	tgt_set(window, TGTT_X, (tgt_getterminal()->x_size - 78) / 2);
	tgt_set(window, TGTT_Y, (tgt_getterminal()->y_size - 23) / 2);	
	
	tgt_link(window,desktop);
	
	tgt_createandlink(window,TGT_CLASS_LABEL,
	(tgtt[]) {TGTT_X,5,TGTT_Y,3,
	TGTT_LABEL_TEXT, (tgtt) "Soros port: ",
	TGTT_END,0});
		
	tgt_createandlink(window,TGT_CLASS_SELECTBOX,
	(tagitem[]) {TGTT_X,18,TGTT_Y,3,TGTT_XS,35,
	TGTT_SELECTBOX_ITEMS, (tgtt) portsname,
	TGTT_CALLBACK, (tgtt) portw, 
	TGTT_END,0});
	
	tgt_createandlink(window,TGT_CLASS_LABEL,
	(tgtt[]) {TGTT_X,5,TGTT_Y,5,
	TGTT_LABEL_TEXT, (tgtt) "Protokoll: ",
	TGTT_END,0});
		
	tgt_createandlink(window,TGT_CLASS_SELECTBOX,
	(tagitem[]) {TGTT_X,18,TGTT_Y,5,TGTT_XS,47,
	TGTT_SELECTBOX_ITEMS, (tgtt) protocolname,
	TGTT_CALLBACK, (tgtt) protocolw, 
	TGTT_END,0});
	
	line = tgt_createandlink(window,TGT_CLASS_LABEL,
	(tgtt[]) {TGTT_X,1,TGTT_Y,20,
	TGTT_LABEL_TEXT, (tgtt) "----------------------------------------------------------------------------",	
	TGTT_END,0});	
	
	b1 = tgt_createandlink(window,TGT_CLASS_BUTTON,(tgtt[]) {
	TGTT_X,16,TGTT_Y,21,
	TGTT_BUTTON_CAPTION, (tgtt) " Vissza ",
	TGTT_CALLBACK, (tgtt) m_prev,
	TGTT_BG,1,
	TGTT_END });
		
	b2 = tgt_createandlink(window,TGT_CLASS_BUTTON,(tgtt[]) {
	TGTT_X,35,TGTT_Y,21,
	TGTT_BUTTON_CAPTION, (tgtt) " Alkalmaz ",
	TGTT_CALLBACK, (tgtt) apply, 
	TGTT_BG,1,
	TGTT_END });
	
	b3 = tgt_createandlink(window,TGT_CLASS_BUTTON,(tgtt[]) {
	TGTT_X,58,TGTT_Y,21,
	TGTT_BUTTON_CAPTION, (tgtt) "  Ok  ",
	TGTT_CALLBACK, (tgtt) m_next, 
	TGTT_BG,1,
	TGTT_END });

}

int mouse_main () {
	helpnum = 2; 
	step_mouse();
	
	return(0);
}
