#include "installer.h"
#include "partition.h"

struct tgt_object *line, *list, *label1, *label2, *string1, *b1, *b2, *b3;
int selectedhdd;

int pack_main();
int part1_main();

/* functions */
void part2_next() {
	tgt_unlink(window);
	pack_main();
	tgt_refresh(window);
}

void part2_prev() {
	tgt_unlink(window);
	part1_main();
	tgt_refresh(window);
}

void savehdd() {
	char *swap;
	char kuki1[200],kuki2[200], c;
	int ksize,i;
		
	remove("/tmp/uhu-console-installer.conf");
	conf = tgt_load_conf(confile);
	
	tgt_get(string1,TGTT_STRING_STRING,(tgtt*) &swap);
	
	sprintf(kuki2,hddparts[selectedhdd].hdddev);
	ksize = strlen(kuki2);
	ksize = ksize-4;
	for(i = 0; i<ksize; i++) { c = kuki2[i]; kuki1[i] = c; }
	kuki1[i] = '\0';
	
	
	tgt_set_conf(conf,"part2","swapsize",swap);
	tgt_set_conf(conf,"part2","disc",hddparts[selectedhdd].hdddev);
	tgt_save_conf(conf,confile);
	tgt_unload_conf(conf);	
		
	part2_next();
		
	
}

int listfill_hdds(void **d, int c, int n, char *tmp, int k, int a) {
	
	if(c == TGT_LISTREQ_GETMAX) {
	 return(db);	
	} else {
	 snprintf(tmp,k,hddparts[n].hddname,hddparts[db].hddname); 
	 if ( a == 1 ) { selectedhdd = n; }
	}
	
	return(1);
}

void step_part2 (void) {

	window = tgt_createobject(
	TGT_CLASS_WINDOW, (tgtt[]) {
	TGTT_WINDOW_TITLE, (tgtt) "UHU-Linux - Partcionls - Teljes merevlemezre",
	TGTT_WINDOW_TITLECOLOR,3,
	TGTT_WINDOW_BORDERCOLOR,3,
	TGTT_CALLBACK, (tgtt) hotkeys,
	TGTT_XS, 78, TGTT_YS, 23,	
	TGTT_END,0 
	});
	
	tgt_set(window, TGTT_X, (tgt_getterminal()->x_size - 78) / 2);
	tgt_set(window, TGTT_Y, (tgt_getterminal()->y_size - 23) / 2);	
	
	tgt_link(window,desktop);
	
	list = tgt_createandlink(window,TGT_CLASS_LIST,(tgtt[]) {
	TGTT_X,2,TGTT_Y,2,
	TGTT_XS,74,TGTT_YS,8,
	TGTT_LIST_ACTIVEBG,1,
	TGTT_LIST_FRAMECOLOR,3,
	TGTT_ID,1000,
	TGTT_LIST_DATACALLBACK, (tgtt) listfill_hdds,
	TGTT_END,0
	});
	
	label1 = tgt_createandlink(window,TGT_CLASS_LABEL,(tgtt[]) {
	TGTT_X,10,TGTT_Y,12,
	TGTT_LABEL_TEXT, (tgtt) "Swap mrete: ",
	TGTT_END,0
	});
	
	string1 = tgt_createandlink(window,TGT_CLASS_STRING,(tagitem[]) {
	TGTT_X,24,TGTT_Y,12,TGTT_XS,6,
	TGTT_STRING_MAX,6,
	TGTT_STRING_ACCEPT, (tgtt) "0123456789",
	TGTT_STRING_STRING, (tgtt) swapmem,
	TGTT_END,0	
	});
	
	label2 = tgt_createandlink(window,TGT_CLASS_LABEL,(tgtt[]) {
	TGTT_X,31,TGTT_Y,12,
	TGTT_LABEL_TEXT, (tgtt) "(M)",
	TGTT_END,0
	});
	
	line = tgt_createandlink(window,TGT_CLASS_LABEL,
	(tgtt[]) {TGTT_X,1,TGTT_Y,20,
	TGTT_LABEL_TEXT, (tgtt) "----------------------------------------------------------------------------",	
	TGTT_END,0});
	
	b2 = tgt_createandlink(window,TGT_CLASS_BUTTON,(tgtt[]) {
	TGTT_X,58,TGTT_Y,21,
	TGTT_BUTTON_CAPTION, (tgtt) "  Ok  ",
	TGTT_CALLBACK, (tgtt) savehdd,
	TGTT_BG,1,
	TGTT_END });
	
	b1 = tgt_createandlink(window,TGT_CLASS_BUTTON,(tgtt[]) {
	TGTT_X,16,TGTT_Y,21,
	TGTT_BUTTON_CAPTION, (tgtt) " Vissza ",
	TGTT_CALLBACK, (tgtt) part2_prev,
	TGTT_BG,1,
	TGTT_END });	
	
}

/* main */
int part2_main () {
	helpnum = 4;
		
	getdevs();
	getmodelsname(); 
	getswap();
	
	step_part2();
	
	return(0);
}
